summaryrefslogtreecommitdiffstats
path: root/package/firewall
diff options
context:
space:
mode:
Diffstat (limited to 'package/firewall')
-rw-r--r--package/firewall/Makefile2
-rw-r--r--package/firewall/files/lib/core_init.sh8
2 files changed, 8 insertions, 2 deletions
diff --git a/package/firewall/Makefile b/package/firewall/Makefile
index 54cb8dc4a..b03fca8a0 100644
--- a/package/firewall/Makefile
+++ b/package/firewall/Makefile
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:=firewall
PKG_VERSION:=2
-PKG_RELEASE:=45
+PKG_RELEASE:=46
include $(INCLUDE_DIR)/package.mk
diff --git a/package/firewall/files/lib/core_init.sh b/package/firewall/files/lib/core_init.sh
index e93de1613..035647998 100644
--- a/package/firewall/files/lib/core_init.sh
+++ b/package/firewall/files/lib/core_init.sh
@@ -288,7 +288,13 @@ fw_load_include() {
local path
config_get path ${name} path
- [ -e $path ] && ( . $path )
+ [ -e $path ] && (
+ config() {
+ fw_log error "You cannot use UCI in firewall includes!" >&2
+ exit 1
+ }
+ . $path
+ )
}